function objetoAjax(){
 var xmlhttp=false;
 try {
  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 } catch (e) {
  try {
   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  } catch (E) {
   xmlhttp = false;
  }
 }
 if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
  xmlhttp = new XMLHttpRequest();
 }
 return xmlhttp;
}


//listado al personal para programar
function programarpersonal(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("progtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var aleatorio=Math.random();

	var cadena = "parametrizarprog.php?ugid="+ugid+"&mes="+mes+"&anno="+anno+"&idtp="+idtp+"&idj="+idj+"&ids="+ids+"&aleatorio="+aleatorio;
	window.open(cadena,"","height=180,width=150,scrollbars=NO");
	
}

//listado al personal para reprogramar


function IniciarProgramacion(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var idga= document.getElementById("tarea").value;
  var aleatorio=Math.random();

	if(idga==0){
	window.opener.document.location= "../progasistencial.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes+"&aleatorio="+aleatorio;
	window.close();
	}else{
	window.opener.document.location= "../progasistencialarea.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes+"&idga="+idga+"&aleatorio="+aleatorio;
	window.close();
	}


}


function IniciarReprogramacion(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
var idga= document.getElementById("tarea").value;
var aleatorio=Math.random();
	if(tusu==1){
	alert('corregir');
	}else{
		if(idga==0){
		window.opener.document.location= "../reprogramacionmes.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes+"&aleatorio="+aleatorio;
		window.close();
		}else{
		window.opener.document.location= "../reprogramacionmesarea.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&idtp="+idtp+"&anno="+anno+"&mes="+mes+"&idga="+idga+"&aleatorio="+aleatorio;
		window.close();
		}
	}

}

function reprogramarpersonal(){

var opcion = new Array();
		opcion = document.getElementsByName("rdfprogramar");
if(opcion[0].checked==true){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("progtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;


	if(tusu==1){
	document.location= "parametrizarreprog.php?ugid="+ugid+"&mes="+mes+"&anno="+anno+"&idtp="+idtp+"&idj="+idj+"&ids="+ids+"&tusu="+tusu;
	window.open(cadena,"","height=180,width=150,scrollbars=NO");
	}else{
	var cadena = "parametrizarreprog.php?ugid="+ugid+"&mes="+mes+"&anno="+anno+"&idtp="+idtp+"&idj="+idj+"&ids="+ids;
	window.open(cadena,"","height=180,width=150,scrollbars=NO");
	}
}

if(opcion[1].checked==true){
	var fecha = document.getElementById("txtrepro").value;
	var idj= document.getElementById("idj").value;
	var ids= document.getElementById("ids").value;
	var ugid= document.getElementById("ugid").value;
	var tusu= document.getElementById("tusu").value;
	if(tusu==1){
	document.location= "reprogramaciondia.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&ugid="+ugid+"&tusu="+tusu;
	document.location= cadena;
	}else{
	document.location= "reprogramaciondia.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&ugid="+ugid;
	document.location= cadena;
	}
}

}

function regresarMP(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//var save= document.getElementById("save").value;
document.location= "../personal/menuadmin.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

function regresarReprogramacion(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//var save= document.getElementById("save").value;

document.location= "reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;

}

function regresarEjeprogramacion(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
//var save= document.getElementById("save").value;
if(tusu==1){
document.location= "ejecutaturno.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "ejecutaturno.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}

}


function mostrarpersonal(){

var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp = document.getElementById("progtp").value;
var idj = document.getElementById("idj").value;
var ids = document.getElementById("ids").value;
divResultado = document.getElementById("divlistapersonal");
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "listarpersonal.php?anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&aleatorio="+aleatorio);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);

}

////Valida boton de reprogramacion

function evaluareprogramacion(){

var opcion = new Array();
		opcion = document.getElementsByName("rdfprogramar");
if(opcion[0].checked==true){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("progtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var aleatorio=Math.random();
var cadena = "evaluareprogramacion.php?anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&aleatorio="+aleatorio;
}
if(opcion[1].checked==true){
var fecha = document.getElementById("txtrepro").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;

var cadena = "evaluareprogramacion.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&aleatorio="+aleatorio;
}

divResultado = document.getElementById("divlistapersonal");
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
ajax2.open("GET", cadena);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);

}


//evalua la ejecucion de turnos
function evaluaejecutado(){

var fecha = document.getElementById("txtrepro").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var tusu= document.getElementById("tusu").value;
var aleatorio=Math.random();
if(tusu==1){
var cadena = "evaluaejecucion.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&tusu="+tusu+"&aleatorio="+aleatorio;
}else{
var cadena = "evaluaejecucion.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&aleatorio="+aleatorio;
}
divResultado = document.getElementById("divbotonejecutar");
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
ajax2.open("GET", cadena);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);

}




//informa ejecucion de hrs
function informahrsejecutadas(){

var fecha = document.getElementById("txtrepro").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
var aleatorio=Math.random();
if(tusu==1){
var cadena = "ejeprogramaciondia.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&ugid="+ugid+"&tusu="+tusu+"&aleatorio="+aleatorio;
}else{
var cadena = "ejeprogramaciondia.php?idj="+idj+"&ids="+ids+"&fecha="+fecha+"&ugid="+ugid+"&aleatorio="+aleatorio;
}
document.location= cadena;
}


function grabarPersonalProg(){
//alert("hola mundo");
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var nnpp= document.getElementById("nnpp").value;
var npa= document.getElementById("npa").value;
var nserv= document.getElementById("nserv").value;

//codigos del personal de apoyo
var ugidpa = new Array();
var codprogpa = new Array();
var idsa = new Array();

//personal del servicio o jefatura
var codprogps = new Array();
var codprogpa = new Array();
var codprog = new Array();
var aidug = new Array();

var valcod = new Array();

var z=0;
for(var i=0;i<=nnpp;i++){

		var serv = new Array();
		serv = document.getElementsByName("serv1["+i+"]");
		for(var j=0; j<serv.length; j++) {
		z=z+1;
			if(serv[j].checked==true){
			var idsj = serv[j].value;
			codprogps[z-1]=1;
			  //alert(1);
			}else{
			var idsj = serv[j].value;
			codprogps[z-1]=0;			 
			 //alert(0);
			}
			}			
}
var codprogpss = serialize(codprogps);

//personal del servicio
var kk=0;
var fff=0;
for(var k=0;k<=nnpp;k++){
		//j=i-1;
		if(document.getElementById("cod["+k+"]").value==""){
		fff=1;
		alert("no tiene codigo el personal");
		break;
		}else{
		codprog[k] = document.getElementById("cod["+k+"]").value;
		aidug[k]=document.getElementById("idcod["+k+"]").value;
		valcod[kk] = document.getElementById("cod["+k+"]").value;
		kk=kk+1;
		//alert(codprog[k]);
		}
}
var codprogs = serialize(codprog);
var arridug = serialize(aidug);

//personal de apoyo
for(var k=0;k<=npa;k++){
		//j=i-1;
		if(document.getElementById("codapoyo["+k+"]").value==""){
		fff=1;
		alert("no tiene codigo el personal");
		break;
		}else{
		codprogpa[k] = document.getElementById("codapoyo["+k+"]").value;
		ugidpa[k]=document.getElementById("idcodapoyo["+k+"]").value;
		idsa[k]=document.getElementById("idsa["+k+"]").value;
		valcod[kk] = document.getElementById("codapoyo["+k+"]").value;
		kk=kk+1;
		}
}
var arrcodprogspa = serialize(codprogpa);
var arridugpa = serialize(ugidpa);
var arridsa = serialize(idsa);

var val = validacodigo(valcod);
if(val==1 && fff==0){
divResultado = document.getElementById("divlistapersonal");
divResultado.innerHTML= "<center><img src='anim.gif'></center>";
ajax2=objetoAjax();
//ajax2.open("POST", "guardarturnoserv.php?anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&codprogpss="+codprogpss+"&codprogs="+codprogs+"&nserv="+nserv+"&aidug="+arridug+"&arrcodprogspa="+arrcodprogspa+"&arridugpa="+arridugpa+"&arridsa="+arridsa);
ajax2.open("POST", "guardarturnoserv.php",true);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
 ajax2.send("anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&codprogpss="+codprogpss+"&codprogs="+codprogs+"&nserv="+nserv+"&aidug="+arridug+"&arrcodprogspa="+arrcodprogspa+"&arridugpa="+arridugpa+"&arridsa="+arridsa);
 //ajax2.send(null);
}
}

function serialize(arr) 
{ 
var res = 'a:'+ arr.length +':{'; 
for(var i=0; i<arr.length; i++) 
{ 
if( arr[i]==0 ){
//res += 'i:'+i+';s:0:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else if(arr[i]>0 && arr[i]<10){
//res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
res += 'i:'+i+';s:1:"'+arr[i]+'";'; 
}else{
//res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
res += 'i:'+i+';s:'+arr[i].length+':"'+arr[i]+'";'; 
}
//alert(arr[i]);
} 
res += '}'; 
//alert(res);
return res; 
} 

function validacodigo(arr)
{
//validar codigo repetido
var cont = 0;
var nodo = 1;
for (var ki=0; ki<=arr.length;ki++){
cont = 0;

	for(var kj=0; kj<=arr.length;kj++){
		if(arr[ki]==arr[kj]){
			cont = cont + 1;
		}
		
	}
	if(cont >1){
		alert("El codigo se esta repitiendo "+arr[ki]);
		nodo = 0;
		break;break;
		}
		
}
return nodo;
}

//buscar personal
  function buscarpersonal(){
   
  if(event.keyCode==13){
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var cod = document.getElementById("codprog").value;
   var idtp = document.getElementById("idtp").value;
   var mes = document.getElementById("mes").value;
   var anno = document.getElementById("anno").value;

 divResultado = document.getElementById('divper');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 ajax.open("GET", "buscapersonal.php?idj="+idj+"&ids="+ids+"&idtp="+idtp+"&mes="+mes+"&anno="+anno+"&cod="+cod);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
}
 
 
 
 function grabarejecucionhrs(){
//alert("hola mundo");
var dia = document.getElementById("dia").value;
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var datosper= document.getElementById("datosper").value;
var tusu= document.getElementById("tusu").value;
//alert("salidaab"+datosper);
//codigos del personal de apoyo
var hrejeper = new Array();

		var hreje = new Array();
		hreje = document.getElementsByName("hreje[]");
		for(var j=0; j<hreje.length; j++) {
			if(hreje[j].checked==true){
			var hr = hreje[j].value;
			hrejeper[j]=1;
			 //alert(1);
			}else{
			var hr = hreje[j].value;
			hrejeper[j]=0;			 
			 //alert(0);
			}
			}	
			
//var datospers = serialize(datosper);			
var hrejepers = serialize(hrejeper);
 divResultado = document.getElementById('progheje');
 divResultado.innerHTML= '<center><img src="anim.gif"></center>';
 ajax=objetoAjax();
var aleatorio=Math.random();
//var cadena = "grabarejecucionhrs.php?idj="+idj+"&ids="+ids+"&dia="+dia+"&mes="+mes+"&anno="+anno+"&ugid="+ugid+"&hrejepers="+hrejepers+"&datosper="+datosper+"&aleatorio="+aleatorio;
var cadena = "grabarejecucionhrs.php?aleatorio="+aleatorio;
//document.location= cadena;
//alert(cadena);
 var valores = "idj="+idj+"&ids="+ids+"&dia="+dia+"&mes="+mes+"&anno="+anno+"&ugid="+ugid+"&hrejepers="+hrejepers+"&datosper="+datosper+"&aleatorio="+aleatorio;
 //alert(valores)
ajax.open("POST", cadena, true);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }

 ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
 ajax.send(valores);
  //ajax.send(null)
}

 function buscalistapersonal(){
   
   var idj = document.getElementById("idj").value;
   var ids = document.getElementById("ids").value;
   var idtp = document.getElementById("progtp").value;
   var mes = document.getElementById("mes").value;
   var anno = document.getElementById("anno").value;
 divResultado = document.getElementById('listapersonal');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var cadena = "personalhoras.php?idj="+idj+"&ids="+ids+"&idtp="+idtp+"&mes="+mes+"&anno="+anno;
 //alert(cadena);
 ajax.open("GET", cadena);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 
 function lecturaeje(){
   
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
 divResultado = document.getElementById('validaeje');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 var cadena = "lecturaejecucion.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&aleatorio="+aleatorio;
 //alert(cadena);
 ajax.open("GET", cadena);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }

function lecturaejereporte(){
   
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var perd= document.getElementById("perd").value;
var idtp= document.getElementById("progtp").value;

 divResultado = document.getElementById('validaeje');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var cadena = "lecturareporte.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes;
 //alert(cadena);
 ajax.open("GET", cadena);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
 }
 //
 
function savereprog(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
if(tusu==1){
var cadena = "validareprog/reprogramacionphp.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
var cadena = "validareprog/reprogramacionphp.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}
document.location= cadena;
}

function imprimirfalta(){
alert("I'm sorry, aun no puede imprimir");
}

function consultafaltas(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
var tusu= document.getElementById("tusu").value;
if(tusu==1){
var cadena = "validafaltas/programacionfaltaphp.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
var cadena = "validafaltas/programacionfaltaphp.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}
document.location= cadena;
}

function backReprogramacion(){
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//var save= document.getElementById("save").value;
var tusu= document.getElementById("tusu").value;
if(tusu==1){
document.location= "../reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid+"&tusu="+tusu;
}else{
document.location= "../reprogramacionpersonal.php?idj="+idj+"&ids="+ids+"&ugid="+ugid;
}
}

function listarpersonalrepro(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("progtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//alert(mes);
divResultado = document.getElementById("divrepropersonal");
divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "reprogramacionper.php?ugid="+ugid+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&repro=1&aleatorio="+aleatorio);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);
}

function listarpersonalfalta(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("progtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var ugid= document.getElementById("ugid").value;
//alert(mes);
divResultado = document.getElementById("divrepropersonal");
divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "faltaprogper.php?ugid="+ugid+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&repro=1&aleatorio="+aleatorio);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);
}

function LeerPersonalReprog(){
//alert("hola mundo");
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idtp= document.getElementById("idtp").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var np= document.getElementById("np").value;
var nrp= document.getElementById("nrp").value;
var ugid= document.getElementById("ugid").value;

//codigos del personal de apoyo
var codper = new Array();
var codprog = new Array();
var dia = new Array();
var horario = new Array();
var area = new Array();
var garea = new Array();
var tiporeg = new Array();
var formareg = new Array();

var clip = new Array();

var codpertxt = new Array();
var txtobsv = new Array();
var pp= document.getElementById("pp").value;
//alert(pp);

for (var j=0;j<pp;j++){
codpertxt[j] = document.getElementById("codpertxt["+j+"]").value;
var txt = document.getElementById("txtobs["+j+"]").value;
if(txt!=""){
txtobsv[j]= txt;
}else{
txtobsv[j]= "$";
}
//alert(txtobsv[j]);
}
//var z=0;
for(var i=0;i<np;i++){

		clip = document.getElementsByName("progra["+i+"]");	
		if (clip[0].checked==true){
		formareg[i]=1;
		}else{
		formareg[i]=0;
		}
		codper[i] = document.getElementById("codper["+i+"]").value;
		codprog[i] = document.getElementById("codprog["+i+"]").value;
		dia[i] = document.getElementById("dia["+i+"]").value;
		horario[i] = document.getElementById("horario["+i+"]").value;
		area[i] = document.getElementById("area["+i+"]").value;
		garea[i] = document.getElementById("garea["+i+"]").value;
		tiporeg[i] = document.getElementById("tiporeg["+i+"]").value;
		
	}
var arrcodper = serialize(codper);	
var arrcodprog = serialize(codprog);
var arrdia = serialize(dia);
var arrhorario = serialize(horario);
var arrarea = serialize(area);
var arrgarea = serialize(garea);
var arrtiporeg = serialize(tiporeg);
var arrformareg = serialize(formareg);

var arrcodpertxt = serialize(codpertxt);
var arrtxtobsv = serialize(txtobsv);

divResultado = document.getElementById("divrepropersonal");
divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
//ajax2.open("GET", "guardarturnoreprog.php?ugid="+ugid+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&arrcodper="+arrcodper+"&arrdia="+arrdia+"&arrcodprog="+arrcodprog+"&arrhorario="+arrhorario+"&arrarea="+arrarea+"&arrgarea="+arrgarea+"&arrtiporeg="+arrtiporeg+"&arrformareg="+arrformareg+"&arrcodpertxt="+arrcodpertxt+"&arrtxtobs="+arrtxtobsv, true);
var aleatorio=Math.random();
ajax2.open("POST", "guardarturnoreprog.php?aleatorio="+aleatorio, true);
ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
   }
 }
 var aleatorio=Math.random();
//ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
 ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
 ajax2.send("ugid="+ugid+"&anno="+anno+"&mes="+mes+"&idj="+idj+"&ids="+ids+"&idtp="+idtp+"&arrcodper="+arrcodper+"&arrdia="+arrdia+"&arrcodprog="+arrcodprog+"&arrhorario="+arrhorario+"&arrarea="+arrarea+"&arrgarea="+arrgarea+"&arrtiporeg="+arrtiporeg+"&arrformareg="+arrformareg+"&arrcodpertxt="+arrcodpertxt+"&arrtxtobs="+arrtxtobsv+"&aleatorio="+aleatorio);
}

function grabarfaltas(){

var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var idtp= document.getElementById("progtp").value;
var ugid = document.getElementById("ugid").value;
var np = document.getElementById("conta").value;

var idper = new Array();
var dia = new Array();
var utcod = new Array();
var idh = new Array();
var idga = new Array();
var ida = new Array();
var tipoh = new Array();

var formareg = new Array();

var a=0;
var j=0;
for(var i=0;i<np;i++){

	clip = document.getElementsByName("lista["+i+"]");	
	if (clip[0].checked==true){
		formareg[i]=1;
		a = 1;
		}else{
		formareg[i]=0;
	}
	if(formareg[i]==1){
	idper[j] = document.getElementById("idper["+i+"]").value;
	dia[j] = document.getElementById("dia["+i+"]").value;
	utcod[j] = document.getElementById("utcod["+i+"]").value;
	idh[j] = document.getElementById("idh["+i+"]").value;
	idga[j] = document.getElementById("idga["+i+"]").value;
	ida[j] = document.getElementById("ida["+i+"]").value;
	tipoh[j] = document.getElementById("idth["+i+"]").value;
	j=j+1;
	}
}

if (a==1){
var arridper = serialize(idper);	
var arrdia = serialize(dia);	
var arrutcod = serialize(utcod);	
var arridh = serialize(idh);	
var arridga = serialize(idga);
var arrida = serialize(ida);
var arrtipoh = serialize(tipoh);
	

divResultado = document.getElementById("divrepropersonal");
divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
//falta el php cosntruir guardarfaltas.php
ajax2.open("POST", "guardarfaltas.php", true);
ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
   }
 }
 var aleatorio=Math.random();
 ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
 ajax2.send("ugid="+ugid+"&idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&arridper="+arridper+"&arrdia="+arrdia+"&arrutcod="+arrutcod+"&arridh="+arridh+"&arridga="+arridga+"&arrida="+arrida+"&arrtipoh="+arrtipoh+"&aleatorio="+aleatorio);

 }else{
alert("No hay ninguna fecha seleccionada");
}


}

function informafaltaspdf(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var idtp= document.getElementById("progtp").value;
var np = document.getElementById("conta").value;

if (np!=0){
	
var cadena = "../../reporte/listarfaltas.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp;
window.open(cadena,"","height=500,width=1250,scrollbars=YES");

}else{
alert("Seleccione Fecha a Informar");
}

}

function leerFaltasper(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var idtp= document.getElementById("progtp").value;

divResultado = document.getElementById("divrepropersonal");

divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "faltaprogper.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&aleatorio="+aleatorio);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);
 	
}


function validarfaltas(){
var mes = document.getElementById("mes").value;
var anno= document.getElementById("anno").value;
var idj= document.getElementById("idj").value;
var ids= document.getElementById("ids").value;
var idtp= document.getElementById("progtp").value;

divResultado = document.getElementById("divrepropersonal");

divResultado.innerHTML= "<center><img src='../../anim.gif'></center>";
ajax2=objetoAjax();
var aleatorio=Math.random();
ajax2.open("GET", "validarfaltas.php?idj="+idj+"&ids="+ids+"&anno="+anno+"&mes="+mes+"&idtp="+idtp+"&aleatorio="+aleatorio);

ajax2.onreadystatechange=function() {
  if (ajax2.readyState==4 && ajax2.status==200) {
   divResultado.innerHTML = ajax2.responseText
  }
 }
 ajax2.send(null);

}